Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.html
Class JHXmlDecl

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.html.JHElement
          edu.harvard.hul.ois.jhove.module.html.JHXmlDecl

    public class JHXmlDecl

extends JHElement

Representation of an XML declaration. This class allows XHTML files to be examined without choking. The actual work is done by the XML module, but first we have to determine that it is XHTML.

Author:
  Gary McGath

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.html.JHElement
`_column, _line`

Constructor Summary
`JHXmlDecl(java.util.List elements)` Constructor.

Method Summary

Methods inherited from class edu.harvard.hul.ois.jhove.module.html.JHElement
`getColumn, getEntities, getLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JHXmlDecl

    public JHXmlDecl(java.util.List elements)

  Constructor. We don't really care about the content; this is just a placeholder. So it has a minimal constructor.

  Parameters:
    `elements` - The list of parsed elements, to which this gets added.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD